function TelegramMeWebServiceModule(Storage, $) {
    var disabled = location.protocol != 'http:' && location.protocol != 'https:';

    function sendAsyncRequest(canRedirect) {
        if (disabled) {
            return false;
        }

        Storage.get('tgme_sync').then(function (curValue) {
            var ts = tsNow(true);
            if (canRedirect &&
                curValue &&
                curValue.canRedirect == canRedirect &&
                curValue.ts + 86400 > ts) {
                return false;
            }
            Storage.set({tgme_sync: {canRedirect: canRedirect, ts: ts}});
            var child = document.createElement('script');
            var script = document.body.appendChild(child);
            script.onload = function(){
                script.remove();
            };
            script.onerror = function(){
                script.remove();
            };
            script.setAttribute('src','//telegram.me/_websync_?authed=' + (canRedirect ? '1' : '0'));
        });
    }

    return {
        setAuthorized: sendAsyncRequest
    };
}

TelegramMeWebServiceModule.dependencies = [
    'Storage',
];
